EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_gfx_size_class_set, Eina_Bool, 0, EFL_FUNC_CALL(size_class, minw, minh, maxw, maxh), const char *size_class, int minw, int minh, int maxw, int maxh);
EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_gfx_size_class_get, Eina_Bool, 0, EFL_FUNC_CALL(size_class, minw, minh, maxw, maxh), const char *size_class, int *minw, int *minh, int *maxw, int *maxh);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_gfx_size_class_del, EFL_FUNC_CALL(size_class), const char *size_class);

static Eina_Bool
_efl_gfx_size_class_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_GFX_SIZE_CLASS_EXTRA_OPS
#define EFL_GFX_SIZE_CLASS_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_gfx_size_class_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_size_class_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_gfx_size_class_del, NULL),
      EFL_GFX_SIZE_CLASS_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_gfx_size_class_class_desc = {
   EO_VERSION,
   "Efl.Gfx.Size_Class",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_gfx_size_class_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_gfx_size_class_interface_get, &_efl_gfx_size_class_class_desc, NULL, NULL);
